Package com.io7m.idstore.user_client

# Class IdUClients

java.lang.Object
com.io7m.idstore.user_client.IdUClients

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientAsynchronousFactoryType<IdUClientException,IdUClientConfiguration,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials,IdUClientAsynchronousType>`, `com.io7m.hibiscus.api.HBClientFactoryType<IdUClientException,IdUClientConfiguration,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials,IdUClientAsynchronousType,IdUClientSynchronousType>`, `com.io7m.hibiscus.api.HBClientSynchronousFactoryType<IdUClientException,IdUClientConfiguration,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials,IdUClientSynchronousType>`, `IdUClientFactoryType`

public final class IdUClients extends Object implements IdUClientFactoryType
The default client factory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUClients()`
  The default client factory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdUClientAsynchronousType`
  `openAsynchronousClient(IdUClientConfiguration configuration)`
  `IdUClientSynchronousType`
  `openSynchronousClient(IdUClientConfiguration configuration)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUClients

    public IdUClients()
    The default client factory.

- ## Method Details

  - ### openAsynchronousClient

    public IdUClientAsynchronousType openAsynchronousClient(IdUClientConfiguration configuration)
    Specified by:
      `openAsynchronousClient` in interface `com.io7m.hibiscus.api.HBClientAsynchronousFactoryType<IdUClientException,IdUClientConfiguration,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials,IdUClientAsynchronousType>`

  - ### openSynchronousClient

    public IdUClientSynchronousType openSynchronousClient(IdUClientConfiguration configuration)
    Specified by:
      `openSynchronousClient` in interface `com.io7m.hibiscus.api.HBClientSynchronousFactoryType<IdUClientException,IdUClientConfiguration,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials,IdUClientSynchronousType>`